Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.exceptions
Class GrailsTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.taglib.exceptions.GrailsTagException

All Implemented Interfaces:
  Serializable, SourceCodeAware

    public class GrailsTagException

extends GrailsException
implements SourceCodeAware

Since:
  11-Jan-2006
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`GrailsTagException(String s)`
`GrailsTagException(String message, String pageName, int lineNumber)`
`GrailsTagException(String arg0, Throwable arg1)`
`GrailsTagException(String arg0, Throwable arg1, String fileName, int lineNumber)`
`GrailsTagException(Throwable arg0)`

Method Summary
`String` | `getFileName()`
`int` | `getLineNumber()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsTagException

    public GrailsTagException(String s)

### GrailsTagException

    public GrailsTagException(String arg0,
                              Throwable arg1)

### GrailsTagException

    public GrailsTagException(Throwable arg0)

### GrailsTagException

    public GrailsTagException(String message,
                              String pageName,
                              int lineNumber)

### GrailsTagException

    public GrailsTagException(String arg0,
                              Throwable arg1,
                              String fileName,
                              int lineNumber)

Method Detail

### getFileName

    public String getFileName()

  Specified by:
    `getFileName` in interface `SourceCodeAware`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `SourceCodeAware`

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project